<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>KingstephenChat - Innovation</title>
  <link rel="icon" type="image/x-icon" href="favicon.ico">
  <script src="js/rainbowbypasschecker.js"></script>
  <script src="js/matementschecker.js"></script>
  <script src="https://cdn.scaledrone.com/scaledrone.min.js"></script>
  <script src="http://0.0.0.0:8080/scaledrone.js"></script>
  <script src="anti-ddos/anti-ddos.js"></script>
  <style>
    body {
      font-family: -apple-system, BlinkMacSystemFont, sans-serif;
      margin: 0;
      padding: 13px;
      display: flex;
      flex-direction: column;
      max-height: 100vh;
      background-color: rgb(248, 250, 248);
    }

    .container {
      border-radius: 10px;
      border: 1px solid #010101;
      padding: 15px;
      margin-bottom: 15px;
    }

    .members-count,
    .members-list,
    .messages {
      border-radius: 10px;
      border: 1px solid  #010101;
      padding: 15px;
      margin-bottom: 15px;
    }

    .messages {
      border-radius: 10px;
      flex-shrink: 1;
      overflow: auto;
    }

    .message {
      border-radius: 10px;
      padding: 5px 0;
    }

    .message .member {
      border-radius: 10px;
      display: inline-block;
    }

    .member {
      padding-right: 10px;
      position: relative;
    }

    .message-form {
      display: flex;
      border-radius: 10px;
      flex-shrink: 0;
    }

    .message-form__input {
      flex-grow: 1;
      border: none;
      border-radius: 10px;
      padding: 10px 15px;
      font-size: 16px;
    }

    .message-form__button {
      margin: 10px;
      border-radius: 10px;
      border: none;
      color: black;
      background: green
    }

    .ver {
      float: right;
      font-weight: bold;
    }
  </style>
</head>
<body>
  <div class="container members-count">-</div>
  <div class="container members-list">-</div>
  <div class="container messages"></div>
  <form class="message-form" onsubmit="return false;">
    <input class="message-form__input" placeholder="Type a message.." type="text">
    <input class="message-form__button" value="Send" type="submit">
  </form>
  <p class="ver">kingstephenChat Version: 1.0.0</p>
  <button id="admin">Become Admin</button>
  <button onclick="window.location.replace('left.html')">Leave</button>
  <script src="./js/rainbowchathandler.js"></script>
  <audio id="notificationSound">
    <source src="notif.mp3" type="audio/mpeg">
  </audio>  
</body>
</html>
